Mainconcept Mpeg2 decoder causes crashes [@ mcspmpeg.ax + 0x31d2][@ mcspmpeg.ax@0x6652]

RESOLVED INCOMPLETE

Status

Plugins Graveyard
Windows Media Player (Microsoft)
--
critical
RESOLVED INCOMPLETE
13 years ago
2 years ago

People

(Reporter: timeless, Unassigned)

Tracking

({crash})

Details

(crash signature, URL)

(Reporter)

Description

13 years ago
http://talkback-public.mozilla.org/talkback/fastfind.jsp?search=1&searchby=stacksig&match=contains&searchfor=mcspmpeg.ax&vendor=All&product=All&platform=All&buildid=&sdate=&stime=&edate=&etime=&sortby=url

821 crashes

http://64.233.161.104/search?q=cache:kxJ_sT1D3gEJ:forum.mainconcept.com/viewtopic.php%3Ft%3D1063%26highlight%3Dwindows%2Bmedia%2Bplayer+mcspmpeg.ax+site:MainConcept.com&hl=en

Incident ID: 10531650
Stack Signature	mcspmpeg.ax + 0x6652 (0x1d206652) bc1c4934
Product ID	Firefox10
Build ID	2005071605
Trigger Time	2005-10-11 09:48:19.0
Platform	Win32
Operating System	Windows NT 5.1 build 2600
Module	mcspmpeg.ax + (00006652)
URL visited	http://www.bofunk.com/video/1333/horse_bar.html
User Comments	Didn't see any problem. You're agent just poped up.
Since Last Crash	1369493 sec
Total Uptime	1369493 sec
Trigger Reason	Access violation
Source File, Line No.	N/A
Stack Trace 	
mcspmpeg.ax + 0x6652 (0x1d206652)

Incident ID: 10372486
Stack Signature	mcspmpeg.ax + 0x31d2 (0x1d2031d2) 9036ce7d
Product ID	Firefox10
Build ID	2005051112
Trigger Time	2005-10-07 20:53:11.0
Platform	Win32
Operating System	Windows NT 5.1 build 2600
Module	mcspmpeg.ax + (000031d2)
URL visited	ccs.coair.com
User Comments	
Since Last Crash	21899 sec
Total Uptime	1093385 sec
Trigger Reason	Access violation
Source File, Line No.	N/A
Stack Trace 	
mcspmpeg.ax + 0x31d2 (0x1d2031d2)

Incident ID: 10226037
Stack Signature	mcspmpeg.ax + 0x66b2 (0x1d2066b2) a0a58ac7
Product ID	FirefoxTrunk
Build ID	2005071206
Trigger Time	2005-10-05 00:30:34.0
Platform	Win32
Operating System	Windows NT 5.1 build 2600
Module	mcspmpeg.ax + (000066b2)
URL visited	
User Comments	
Since Last Crash	2210537 sec
Total Uptime	2615737 sec
Trigger Reason	Access violation
Source File, Line No.	N/A
Stack Trace 	
mcspmpeg.ax + 0x66b2 (0x1d2066b2)

Comment 1

9 years ago
mcspmpeg.ax@0x6652 is still seen in FF 3.x
bp-514b2936-5951-4440-8f52-1c0e92091111
0	mcspmpeg.ax	mcspmpeg.ax@0x6652
1	mcspmpeg.ax	mcspmpeg.ax@0x7e27
2	mcspmpeg.ax	mcspmpeg.ax@0xf6d7
3	mcspmpeg.ax	mcspmpeg.ax@0x7a33
4	mcspmpeg.ax	mcspmpeg.ax@0xe90d
5	mcspmpeg.ax	mcspmpeg.ax@0xec00
6	kernel32.dll	GetCodePageFileInfo
7	mcspmpeg.ax	mcspmpeg.ax@0xe706
8	mcspmpeg.ax	mcspmpeg.ax@0xc960
9	kernel32.dll	BaseThreadStart
10	kernel32.dll	GetCodePageFileInfo

and others, many with address 0x0
http://crash-stats.mozilla.com/query/query?product=Firefox&version=ALL%3AALL&date=&range_value=1&range_unit=weeks&query_search=signature&query_type=contains&query=mcspmpeg&do_query=1
Status: UNCONFIRMED → NEW
Ever confirmed: true
Keywords: crash
Summary: Mainconcept Mpeg2 decoder causes crashes [@ mcspmpeg.ax + 0x31d2][@ mcspmpeg.ax + 0x6652] → Mainconcept Mpeg2 decoder causes crashes [@ mcspmpeg.ax + 0x31d2][@ mcspmpeg.ax@0x6652]
"ad2mcspmpeg.ax is a process belonging to the MPEG I//II Splitter program ."

We are either crashing playing Media Player files or with the filepicker.
(Reporter)

Updated

8 years ago
Component: Plug-ins → Windows Media Player (Microsoft)
Product: Core → Plugins
QA Contact: plugins → microsoft-wmp
Version: Trunk → unspecified
(Assignee)

Updated

7 years ago
Crash Signature: [@ mcspmpeg.ax + 0x31d2] [@ mcspmpeg.ax@0x6652]

Comment 3

2 years ago
Closing old bugs in the Plugins component. We aren't going to track issues in 3rd-party plugins in the Mozilla bug tracker. In addition, support for NPAPI plugins will be removed at the end of this year; for more details see the post at https://blog.mozilla.org/futurereleases/2015/10/08/npapi-plugins-in-firefox/

If there is a serious bug in Firefox, it needs to be filed in the "Core" product, "Plug-Ins" component.
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → INCOMPLETE
(Assignee)

Updated

2 years ago
Product: Plugins → Plugins Graveyard
You need to log in before you can comment on or make changes to this bug.